Subject: Bug#1495: [X2Go-Dev] x2goclient windows development environment? Re: Bug#1495: x2goclient resumes existing session with wrong X-Server options

From: Ulrich Sibiller <[email-masked]>
Date: Tue, 8 Dec 2020 14:37:01 +0100

Hmm, it looks the recommended qt version ist from 2014 - that was
BEFORE Windows 10, AFAIR. So maybe you could try a Windows 7, just for
building the packages. I do not know how Mihai is creating packages.

Uli

On Tue, Dec 8, 2020 at 1:51 PM Maarten Boekhold <[email-masked]> wrote:
>
> Hi all,
>
> Today I've tried to set up a build environment on my Windows 10 laptop so I can (try to) debug this. I've tried to follow the instructions from:
>
> https://wiki.x2go.org/doku.php/wiki:development:build-howto-mswin:x2goclient
>
> However it fails at the step where you need to compile the static version of Qt. The QT build system doesn't seem to support the specific Windows version, as I'm getting the following build error:
>
> $ ./configure -release -static -openssl -qt-style-windowsxp -qt-style-windowsvista
> Which edition of Qt do you want to use ?
>
> Type 'c' if you want to use the Commercial Edition.
> Type 'o' if you want to use the Open Source Edition.
>
> o
>
> -qt-style-windowsxp: invalid command-line switch
> -qt-style-windowsvista: invalid command-line switch
>
>    The specified system/compiler port is not complete:
>
>       /c/Qt/4.8.6/mkspecs//qplatformdefs.h
>
>    Please use the contact form at http://qt.digia.com/contact-us
>
> Note the empty path between the "mkspecs" and "qplatformdefs.h" directories. There is supposed to be a symbolic name there identifying the type of system.
>
> Does anybody have any updated build instructions for x2goclient on Windows? Or did I just miss something obvious?
>
> Maarten
>
> On 9/9/2020 11:55 AM, Maarten Boekhold wrote:
>
> Package: x2goclient
> Version: 4.1.2.2
>
> Windows 10, x2goclient 4.1.2.2
>
> When resuming a "paused" x2Go session, x2goclient is using the wrong
> X-Server settings.
>
> I have configured my x2goclient with the following
> settings for X.Org Server settings:
>
>
> **X.Org Server settings**
> [X] use custom X-Server
> Executable: C:/Program Files (x86)/x2goclient/VcXsrv/vcxsrv.exe
> [ ] start X-Server on X2Go Client start
>
> Window mode: -screen 0 %wx%h -notrayicon -clipboard -keyhook \
>     -nowinkill -nopn -silent-dup-error
> Fullscreen mode: -fullscreen -notrayicon -clipboard -keyhook \
>     -nowinkill -nopn -silent-dup-error
> Single application: -multiwindow -notrayicon -clipboard \
>     -keyhook -nowinkill -nopn -silent-dup-error
> Whole display: -nodecoration -notrayicon -clipboard -keyhook \
>     -nopn -silent-dup-error -screen 0 @
>
> My x2goclient session is configured as:
>
> **Session preferences: Input/Output**
> [ ] Fullscreen
> [ ] Custom     Width (greyed out 3696) Height (greyed out 2160)
> [X] Use whole display [ ] Maximum available     Display: 2
>
> When I start a new x2Go session, it correctly runs the X-Server with the
> "Whole display" command (as per Windows Task Manager):
>
> "C:\Program Files (x86)\x2goclient\VcXsrv\vcxsrv.exe" \
>     -nodecoration -notrayicon -clipboard -keyhook -nowinkill \
>     -nopn -silent-dup-error screen 0 @2 :0
>
> But if I then "pause" this session and reconnect, x2goclient uses the
> "Window mode" command line options instead:
>
> "C:\Program Files (x86)\x2goclient\VcXsrv\vcxsrv.exe" \
>     -screen 3696x2160 -notrayicon -clipboard -keyhook \
>     -nowinkill -nopn -silent-dup-error :0
>
> I suspect this has something to do with the
> code around line 4442 in onmainwindow.cpp, but I've not been able to
> figure out the exact details yet.
>
> Maarten
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev
>
>
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev